com.elastisys.scale.cloudpool.api.types

## Class CloudProviders

- java.lang.Object
- - com.elastisys.scale.cloudpool.api.types.CloudProviders

    public class CloudProviders
    extends Object

Enumeration of known cloud providers/platforms for which there are cloud pool implementations.

### Field Summary

Fields
`static String` `AWS_AUTO_SCALING_GROUP`
`static String` `AWS_EC2`
`static String` `AWS_SPOT`
`static String` `AZURE`
`static String` `CITYCLOUD`
`static String` `KUBERNETES`
`static String` `OPENSTACK`
`static String` `SPLITTER`

### Constructor Summary

Constructors
Constructor and Description
`CloudProviders()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SPLITTER

    public static final String SPLITTER

See Also:
  Constant Field Values

#### OPENSTACK

    public static final String OPENSTACK

See Also:
  Constant Field Values

#### CITYCLOUD

    public static final String CITYCLOUD

See Also:
  Constant Field Values

#### AWS_EC2

    public static final String AWS_EC2

See Also:
  Constant Field Values

#### AWS_SPOT

    public static final String AWS_SPOT

See Also:
  Constant Field Values

#### AWS_AUTO_SCALING_GROUP

    public static final String AWS_AUTO_SCALING_GROUP

See Also:
  Constant Field Values

#### KUBERNETES

    public static final String KUBERNETES

See Also:
  Constant Field Values

#### AZURE

    public static final String AZURE

See Also:
  Constant Field Values

### Constructor Detail

#### CloudProviders

    public CloudProviders()